# ClockRange

#### ClockRange()
Core/ClockRange.js 16

Constants used by `Clock#tick` to determine behavior when `Clock#startTime` or `Clock#stopTime` is reached.

##### See:

- Clock
- ClockStep

### Members

#### static constantCesium.ClockRange.CLAMPED : Number
Core/ClockRange.js 32

When `Clock#startTime` or `Clock#stopTime` is reached, `Clock#tick` will not advance `Clock#currentTime` any further.

#### static constantCesium.ClockRange.LOOP_STOP : Number
Core/ClockRange.js 43

When `Clock#stopTime` is reached, `Clock#tick` will advance `Clock#currentTime` to the opposite end of the interval. When time is moving backwards, `Clock#tick` will not advance past `Clock#startTime`

#### static constantCesium.ClockRange.UNBOUNDED : Number
Core/ClockRange.js 23

`Clock#tick` will always advances the clock in its current direction.